petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSectionGetFieldComponents

Returns the number of field components for the given field.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionGetFieldComponents(PetscSection s, PetscInt field, PetscInt *numComp)

Not collective

### Input Parameters

| s | - the PetscSection
| field | - the field number

### Output Parameter

numComp -the number of field components

### See Also

PetscSectionSetNumFieldComponents(), PetscSectionGetNumFields()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages